| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelSecurableInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Securable. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Member Functions

virtual | ~BaseChannelSecurableInterface ()
QVariantMap | immutableProperties () const
bool | encrypted () const
void | setEncrypted (bool encrypted)
bool | verified () const
void | setVerified (bool verified)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelSecurableInterfacePtr | create ()
template<typename BaseChannelSecurableInterfaceSubclass >
static SharedPtr < BaseChannelSecurableInterfaceSubclass > | create ()

## Protected Member Functions

| BaseChannelSecurableInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Securable.

## Constructor & Destructor Documentation

Tp::BaseChannelSecurableInterface::~BaseChannelSecurableInterface | ( |  | ) |

virtual

Class destructor.

Tp::BaseChannelSecurableInterface::BaseChannelSecurableInterface | ( |  | ) |

protected

Class constructor.

## Member Function Documentation

static BaseChannelSecurableInterfacePtr Tp::BaseChannelSecurableInterface::create | ( |  | ) |

inline static

template<typename BaseChannelSecurableInterfaceSubclass >

static SharedPtr<BaseChannelSecurableInterfaceSubclass> Tp::BaseChannelSecurableInterface::create | ( |  | ) |

inline static

QVariantMap Tp::BaseChannelSecurableInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

bool Tp::BaseChannelSecurableInterface::encrypted | ( |  | ) | const

void Tp::BaseChannelSecurableInterface::setEncrypted | ( | bool | encrypted | ) |

bool Tp::BaseChannelSecurableInterface::verified | ( |  | ) | const

void Tp::BaseChannelSecurableInterface::setVerified | ( | bool | verified | ) |